using adas_core.Domain.Models;
using adas_core.Domain.Models.MongoModels;
using MongoDB.Bson;

namespace adas_core.Application.Repositories.Interfaces;

public interface IPoCSettingsRepository : IMongoRepository<PoCSettings>
{
    Task Delete(ObjectId id);

    Task<PoCSettings?> FindByLocation(PatientLocation location);

    Task<PoCSettings?> FindById(ObjectId id);

    Task Update(PoCSettings pocSettings);

    Task<List<PoCSettings>> FindAll();
}